JavaScript
import Whop from '@whop/sdk';
const client = new Whop({
apiKey: process.env['WHOP_API_KEY'], // This is the default and can be omitted
});
const response = await client.adCampaigns.duplicate('id');
console.log(response.data);curl --request POST \
--url https://api.whop.com/api/v1/ad_campaigns/{id}/duplicate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"count": 123,
"preserve_engagement": true
}
'import requests
url = "https://api.whop.com/api/v1/ad_campaigns/{id}/duplicate"
payload = {
"count": 123,
"preserve_engagement": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
{
"data": [
{
"added_to_cart_value": 123,
"added_to_carts": 123,
"bid_type": "minimum_cost",
"budget_amount": 123,
"budget_optimization": "ad_campaign",
"budget_type": "daily",
"click_through_rate": 123,
"clicks": 123,
"completed_registration_value": 123,
"completed_registrations": 123,
"contact_value": 123,
"contacts": 123,
"cost_per_added_to_cart": 123,
"cost_per_click": 123,
"cost_per_completed_registration": 123,
"cost_per_contact": 123,
"cost_per_lead": 123,
"cost_per_mille": 123,
"cost_per_purchase": 123,
"cost_per_result": 123,
"cost_per_schedule": 123,
"cost_per_submitted_application": 123,
"cost_per_unique_click": 123,
"cost_per_viewed_content": 123,
"created_at": "<string>",
"custom_conversions": 123,
"custom_event_counts": {},
"custom_event_values": {},
"delivery_status": "payment_failed",
"frequency": 123,
"id": "<string>",
"impressions": 123,
"issues": [
{
"id": "<string>",
"message": "<string>",
"resource_id": "<string>",
"resource_type": "ad_campaign"
}
],
"lead_value": 123,
"leads": 123,
"objective": "awareness",
"optimization_goal": "<string>",
"platform": "meta",
"purchase_value": 123,
"purchases": 123,
"reach": 123,
"result_event": "purchase",
"result_event_name": "<string>",
"results": 123,
"return_on_ad_spend": 123,
"schedule_value": 123,
"schedules": 123,
"special_ad_categories": [
"housing"
],
"spend": 123,
"spend_currency": "<string>",
"status": "active",
"submitted_application_value": 123,
"submitted_applications": 123,
"title": "<string>",
"unique_click_through_rate": 123,
"unique_clicks": 123,
"updated_at": "<string>",
"viewed_content_value": 123,
"viewed_contents": 123
}
]
}{
"error": {
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>"
}
}Ad Campaigns
Duplicate an Ad Campaign
Creates copies of the campaign in duplicating status and returns them; each copy transitions to draft once duplication completes. Poll each returned campaign until it leaves duplicating — a copy that could not be completed is deleted and returns 404.
POST
/
ad_campaigns
/
{id}
/
duplicate
JavaScript
import Whop from '@whop/sdk';
const client = new Whop({
apiKey: process.env['WHOP_API_KEY'], // This is the default and can be omitted
});
const response = await client.adCampaigns.duplicate('id');
console.log(response.data);Authorizations
A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word 'Bearer', which will look like Bearer ***************************
Headers
A unique key that makes this request safe to retry. See Idempotent requests.
Maximum string length:
255Example:
"d9105228-4a08-46b1-8b91-42fed586d383"
Pins the request to a dated API version.
Example:
"2026-07-20"
Path Parameters
The ad campaign ID.
Body
application/json
Response
ad campaign duplication started
Show child attributes
Show child attributes
⌘I

